Subject: Re: bug#4157: 23.1.50; faulty character characterisation for ä

From: Eli Zaretskii <[email-masked]>
Date: Wed, 09 Oct 2019 21:48:54 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Wed, 9 Oct 2019 16:29:43 +0200
> Cc: Peter Dyballa <[email-masked]>, [email-masked]
> 
> > "correct" doesn't really tell me what you see, but I see what you mean.
> >
> >> "composed characters," it's a problem with the file's  month date. In the
> >
> > So my guess was right: ls's output uses utf-8 for the filenames, but
> > latin-1 for the date, which is why it's difficult for dired to do the
> > right thing (it's not impossible, of course, but it's more work and
> > dired is currently not setup for that).
> 
> Ten years later, I can verify that this is still an issue on current
> master running on macOS 10.13.  I think Stefan Monnier is spot on
> above.

Maybe we should switch macOS to using ls-lisp.el?